# Functor Oper.Choose

    module Choose: functor (G : sigtype t

    type vertex

    type edge

    val iter_vertex : (vertex -> unit) -> t -> unitval iter_edges_e : (edge -> unit) -> t -> unitend) -> sig .. end

Choose an element in a graph

Parameters:

`G` | : | `sig type t type vertex type edge val iter_vertex : (vertex -> unit) -> t -> unit val iter_edges_e : (edge -> unit) -> t -> unit end`

    val choose_vertex : G.t -> G.vertex

`choose_vertex g` returns a vertex from the graph.
Raises `Invalid_argument` if the graph is empty.

    val choose_edge : G.t -> G.edge

`choose_edge g` returns an edge from the graph.
Raises `Invalid_argument` if the graph has no edge.